Subject: Re: [PATCH] use child_process_init() to initialize struct child_process variables

From: Junio C Hamano <[email-masked]>
Date: Tue, 04 Nov 2014 16:32:06 -0800

Jeff King <[email-masked]> writes:

> The bundle code is not bound by this historical legacy, and could do it
> in a different (and more efficient and flexible) way. But it is probably
> saner to just keep them identical. It makes the code simpler, and having
> bundle as the only transport which has the extra flexibility does not
> really buy us much (and probably just invites confusion).

Yeah, so let's have only symref=HEAD:refs/heads/master for now.

I would like to have the protocol update on the on-wire side during
2015 to lift various limits and correct inefficiencies (the largest
of which is the "who speaks first" issue).  We should make sure that
the bundle format can be enhanced to match when it happens.

Thanks.